Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

dbwalker error

I'm trying to run dbwalker3 and am getting the following message -

The version of resource DLL MSDASQLR.DLL is not valid.

Unity is running at version 3.1(3)

I found msdasqlr.dll in c:\winnt\system32\dllcache and it is running version 2.81.1117.0

Any help would be appreciated.

Michael

5 REPLIES
Blue

Re: dbwalker error

goto this link and download the latest version of DBWALKER for your version of unity.

http://ciscounitytools.com

the latest version of DBWALKER for Unity 3.x is 3.0.90

New Member

Re: dbwalker error

I already had downloaded version 3.0.90 and it is the one currently giving me the dll error.

Michael

New Member

Re: dbwalker error

Hmm anyone else have any suggestions on a fix?

Thank you,

Michael

Cisco Employee

Re: dbwalker error

That DLL is not included in the dbWalker install as it's part of the base SQL installation that should already be in place for your install - sounds like something jacked that DLL around and it's causing problems with applications trying to open SQL tables via ADO perhaps - are other tools similiarly affected? Items like BulkEdit and Subscriber Information Dump use the same libraries to get at data in the UnityDB tables. What's your local install (Unity version, OS version, SPs) - what's changed recently since the last time you were able to run this?

Bronze

Re: dbwalker error

Just a shot in the dark, try copying the DLL to C:\WINNT\SYSTEM32.

112
Views
0
Helpful
5
Replies
CreatePlease login to create content